IDLE(1)

NAME
IDLE - An Integrated DeveLopment Environment for Python

SYNTAX
idle [ -dins ] [ -t title ] [ file ...]

idle [ -dins ] [ -t title ] ( -c cmd | -r file ) [ arg ...]

idle [ -dins ] [ -t title ] - [ arg ...]

DESCRIPTION
This manual page documents briefly the idle command. This manual page was written for Debian because the original program does not have a manual page. For more information, refer to IDLE's help menu.

IDLE is an Integrated DeveLopment Environment for Python. IDLE is based on Tkinter, Python's bindings to the Tk widget set. Features are 100% pure Python, multi-windows with multiple undo and Python colorizing, a Python shell window subclass, a debugger. IDLE is cross-platform, i.e. it works on all platforms where Tk is installed.

OPTIONS

-h  Print this help message and exit.

-n  Run IDLE without a subprocess (see Help/IDLE Help for details).

The following options will override the IDLE 'settings' configuration:

-e  Open an edit window.

-i  Open a shell window.

The following options imply -i and will open a shell:

-c cmd
    Run the command in a shell, or

-r file
    Run script from file.

-d  Enable the debugger.

-s  Run $IDLESTARTUP or $PYTHONSTARTUP before anything else.

-t title
    Set title of shell window.

A default edit window will be bypassed when -c, -r, or - are used.

[arg]* and [file]* are passed to the command (-c) or script (-r) in sys.argv[1:].

EXAMPLES

idle
    Open an edit window or shell depending on IDLE's configuration.

idle foo.py foobar.py
    Edit the files, also open a shell if configured to start with shell.

idle -est "Baz" foo.py
    Run $IDLESTARTUP or $PYTHONSTARTUP, edit foo.py, and open a shell window with the title "Baz".

idle -c "import sys; print sys.argv" "foo"
    Open a shell window and run the command, passing "-c" in sys.argv[0] and "foo" in sys.argv[1].

idle -d -s -r foo.py "Hello World"
    Open a shell window, run a startup script, enable the debugger, and run foo.py, passing "foo.py" in sys.argv[0] and "Hello World" in sys.argv[1].

echo "import sys; print sys.argv" | idle - "foobar"
    Open a shell window, run the script piped in, passing '' in sys.argv[0] and "foobar" in sys.argv[1].

SEE ALSO
python(1).

AUTHORS
Various.